<div *ngIf="pokemon" class="mb-3 shadow bg-white rounded relative">
    <app-add-button [pokemonName]="pokemon.name"></app-add-button>
    <img [src]="pokemon.sprites.front_default" [alt]="pokemon.name" class="mx-auto block"/>
    <span class="p-4 block text-xl text-center">{{pokemon.name}}</span>
</div>





